Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v3
Class TransactionAccessListType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v3.TransactionAccessListType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:40:09+02:00",
               comments="JAXB RI v2.2.11")
    public class TransactionAccessListType

extends Object
implements Serializable

Java class for TransactionAccessListType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionAccessListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="transactionaccess" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v3}PatientIdType" minOccurs="0"/>
                       <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v3}transactionWithSpecificTime" minOccurs="0"/>
                       <element name="hcparty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}hcpartyType" maxOccurs="unbounded" minOccurs="0"/>
                       <element name="accessdatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
                       <element name="breaktheglass" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TransactionAccessListType()`

Method Summary
`List<Transactionaccess>` | `getTransactionaccesses()` Gets the value of the transactionaccesses property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionAccessListType

    public TransactionAccessListType()

Method Detail

### getTransactionaccesses

    public List<Transactionaccess> getTransactionaccesses()

  Gets the value of the transactionaccesses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transactionaccesses property.

  For example, to add a new item, do as follows:

          getTransactionaccesses().add(newItem);

  Objects of the following type(s) are allowed in the list `Transactionaccess`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.